読者です 読者をやめる 読者になる 読者になる

ActiveRecord::Errors.default_error_messages has been deprecated

Dev Rails

昔作ったバリデーションのプラグインを今作っているアプリに組み込んだら、

DEPRECATION WARNING: ActiveRecord::Errors.default_error_messages has been deprecated.
Please use I18n.translate('activerecord.errors.messages')..

というメッセージが。

ActiveRecord::Errors.default_error_messages[:invalid]

と書いていた所を、

I18n.t('activerecord.errors.messages.invalid')

に変更したらメッセージは出なくなった。


Rails 2.1までしか使ったことなかったので、いろいろ戸惑う。